--[[
=head1 NAME

applets.JogglerUpdateModel.JogglerUpdateModelMeta - JogglerUpdate meta-info

=head1 DESCRIPTION

See L<applets.JogglerUpdateModel.JogglerUpdateModelApplet>.

=head1 FUNCTIONS

See L<jive.AppletMeta> for a description of standard applet meta functions.

=cut
--]]
local package = package

local os            = require("os")
local io            = require("io")
local oo            = require("loop.simple")
local AppletMeta    = require("jive.AppletMeta")
local LocalPlayer   = require("jive.slim.LocalPlayer")

local appletManager = appletManager
local jiveMain      = jiveMain

module(...)
oo.class(_M, AppletMeta)

local DEFAULT_DEVICE_NAME = 'SqueezePlay'

function jiveVersion(self)
	return 1, 1
end

function defaultSettings(meta)
		return { 
			DEVICE_ID      = 12,
			DEVICE_MODEL   = os.GetDeviceModel(),
			DEVICE_NAME    = DEFAULT_DEVICE_NAME,
	}
end

function registerApplet(meta)
	LocalPlayer:setDeviceType(meta:getSettings()["DEVICE_MODEL"],meta:getSettings()["DEVICE_NAME"])

	-- uncomment this when wanting to set device type from desktop SP
	jiveMain:addItem(meta:menuItem('JogglerModel', 'advancedSettings', 'MODELUPDATE', function(applet, ...) applet:menu(...) end, 900))

end

-- Allows output of shell scripts to be captured.
function os.GetDeviceModel()
	if package.config:sub(1,1) == '\\' then return DEFAULT_DEVICE_NAME end -- if Windows do nothing
	local f = io.popen('cat /tmp/openframe.ver 2>/dev/null | tr -d "\n"', 'r')
	if f == nil then return DEFAULT_DEVICE_NAME end
	local s = f:read('*a')
	f:close()
	return 'OpenFrame'..( s  or '0' )
end

--[[

=head1 LICENSE

Copyright 2014 Heiko Steinwender. All Rights Reserved.

This file is licensed under BSD. Please see the LICENSE file for details.

=cut
--]]

